/**
 * Copyright (C) 2008-2012 AgroSense Foundation.
 *
 * AgroSense is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * There are special exceptions to the terms and conditions of the GPLv3 as it
 * is applied to this software, see the FLOSS License Exception
 * <http://www.agrosense.eu/foss-exception.html>.
 *
 * AgroSense is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
 * A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * AgroSense. If not, see <http://www.gnu.org/licenses/>.
 */
package nl.cloudfarming.client.util.swing.beanbinding;

import java.util.Date;
import org.jdesktop.beansbinding.Validator;
import org.openide.util.NbBundle;

/**
 * Validates if the provided date is before today or actually now
 *
 * @author Merijn Zengers <Merijn.Zengers@gmail.nl>
 */
@NbBundle.Messages("DateInPastValidator error message=The date cannot be in the future")
public class DateInPastValidator extends Validator<Date> {

    @Override
    public Result validate(Date value) {
        Date now = new Date();
        if (value.getTime() >= now.getTime()) {
            return new Validator.Result(null, Bundle.DateInPastValidator_error_message());
        }
        return null;
    }
}
